Open CASCADE Technology: DBRep_DrawableShape Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions | Static Public Member Functions
DBRep_DrawableShape Class Reference

Drawable structure to display a shape. Contains a list of edges and a list of faces. More...

`#include <DBRep_DrawableShape.hxx>`

Inheritance diagram for DBRep_DrawableShape:
[legend]

## Public Member Functions
| DBRep_DrawableShape (const TopoDS_Shape &C, const Draw_Color &FreeCol, const Draw_Color &ConnCol, const Draw_Color &EdgeCol, const Draw_Color &IsosCol, const Standard_Real size, const Standard_Integer nbisos, const Standard_Integer discret)
void | Set (const TopoDS_Shape &C)
void | ChangeNbIsos (const Standard_Integer NbIsos)
| Changes the number of isoparametric curves in a shape. More...
Standard_Integer | NbIsos () const
| Returns the number of isoparametric curves in a shape. More...
void | ChangeDiscret (const Standard_Integer Discret)
| Changes the number of isoparametric curves in a shape. More...
Standard_Integer | Discret () const
| Returns the discretisation value of curve. More...
TopoDS_Shape | Shape () const
| Return const &. More...
void | DisplayOrientation (const Standard_Boolean D)
| When True the orientations of the edges and free vertices are displayed. More...
void | DisplayTriangulation (const Standard_Boolean D)
| When True the triangulations of the faces are displayed even if there is a surface. More...
void | DisplayPolygons (const Standard_Boolean D)
| When True the polygons of the edges are displayed even if there is a geometric curve. More...
void | DisplayHLR (const Standard_Boolean withHLR, const Standard_Boolean withRg1, const Standard_Boolean withRgN, const Standard_Boolean withHid, const Standard_Real ang)
| Performs Hidden lines. More...
Standard_Boolean | DisplayTriangulation () const
Standard_Boolean | DisplayPolygons () const
void | GetDisplayHLR (Standard_Boolean &withHLR, Standard_Boolean &withRg1, Standard_Boolean &withRgN, Standard_Boolean &withHid, Standard_Real &ang) const
void | DrawOn (Draw_Display &dis) const
void | DisplayHiddenLines (Draw_Display &dis)
virtual Handle< Draw_Drawable3D > | Copy () const
| For variable copy. More...
virtual void | Dump (Standard_OStream &S) const
| For variable dump. More...
virtual void | Whatis (Draw_Interpretor &I) const
| For variable whatis command. More...
Public Member Functions inherited from Draw_Drawable3D
virtual Standard_Boolean | PickReject (const Standard_Real X, const Standard_Real Y, const Standard_Real Prec) const
| Returs True if the pick is outside the box. More...
virtual Standard_Boolean | Is3D () const
| Is a 3D object. (Default True). More...
void | SetBounds (const Standard_Real xmin, const Standard_Real xmax, const Standard_Real ymin, const Standard_Real ymax)
void | Bounds (Standard_Real &xmin, Standard_Real &xmax, Standard_Real &ymin, Standard_Real &ymax) const
Standard_Boolean | Visible () const
void | Visible (const Standard_Boolean V)
Standard_Boolean | Protected () const
void | Protected (const Standard_Boolean P)
Standard_CString | Name () const
virtual void | Name (const Standard_CString N)
Public Member Functions inherited from MMgt_TShared
virtual void | Delete () const
| Memory deallocator for transient classes. More...
Public Member Functions inherited from Standard_Transient
| Standard_Transient ()
| Empty constructor. More...
| Standard_Transient (const Standard_Transient &)
| Copy constructor – does nothing. More...
Standard_Transient & | operator= (const Standard_Transient &)
| Assignment operator, needed to avoid copying reference counter. More...
virtual | ~Standard_Transient ()
| Destructor must be virtual. More...
virtual const Handle_Standard_Type & | DynamicType () const
| Returns a type information object about this object. More...
Standard_Boolean | IsInstance (const Handle_Standard_Type &theType) const
| Returns a true value if this is an instance of Type. More...
Standard_Boolean | IsInstance (const Standard_CString theTypeName) const
| Returns a true value if this is an instance of TypeName. More...
Standard_Boolean | IsKind (const Handle_Standard_Type &theType) const
| Returns true if this is an instance of Type or an instance of any class that inherits from Type. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
Standard_Boolean | IsKind (const Standard_CString theTypeName) const
| Returns true if this is an instance of TypeName or an instance of any class that inherits from TypeName. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
virtual Handle_Standard_Transient | This () const
| Returns a Handle which references this object. Must never be called to objects created in stack. More...
Standard_Integer | GetRefCount () const
| Get the reference counter of this object. More...

## Static Public Member Functions
static void | LastPick (TopoDS_Shape &S, Standard_Real &u, Standard_Real &v)
| Returns the subshape touched by the last pick. u,v are the parameters of the closest point. More...

## Additional Inherited Members
Protected Member Functions inherited from Draw_Drawable3D
| Draw_Drawable3D ()

## Detailed Description

Drawable structure to display a shape. Contains a list of edges and a list of faces.

## Constructor & Destructor Documentation

DBRep_DrawableShape::DBRep_DrawableShape | ( | const TopoDS_Shape & | C,
|  | const Draw_Color & | FreeCol,
|  | const Draw_Color & | ConnCol,
|  | const Draw_Color & | EdgeCol,
|  | const Draw_Color & | IsosCol,
|  | const Standard_Real | size,
|  | const Standard_Integer | nbisos,
|  | const Standard_Integer | discret
| ) |  |

## Member Function Documentation

void DBRep_DrawableShape::ChangeDiscret | ( | const Standard_Integer | Discret | ) |

Changes the number of isoparametric curves in a shape.

void DBRep_DrawableShape::ChangeNbIsos | ( | const Standard_Integer | NbIsos | ) |

Changes the number of isoparametric curves in a shape.

virtual Handle< Draw_Drawable3D > DBRep_DrawableShape::Copy | ( |  | ) | const
| virtual

For variable copy.

Reimplemented from Draw_Drawable3D.

Standard_Integer DBRep_DrawableShape::Discret | ( |  | ) | const

Returns the discretisation value of curve.

void DBRep_DrawableShape::DisplayHiddenLines | ( | Draw_Display & | dis | ) |

void DBRep_DrawableShape::DisplayHLR | ( | const Standard_Boolean | withHLR,
|  | const Standard_Boolean | withRg1,
|  | const Standard_Boolean | withRgN,
|  | const Standard_Boolean | withHid,
|  | const Standard_Real | ang
| ) |  |

Performs Hidden lines.

void DBRep_DrawableShape::DisplayOrientation | ( | const Standard_Boolean | D | ) |

When True the orientations of the edges and free vertices are displayed.

void DBRep_DrawableShape::DisplayPolygons | ( | const Standard_Boolean | D | ) |

When True the polygons of the edges are displayed even if there is a geometric curve.

Standard_Boolean DBRep_DrawableShape::DisplayPolygons | ( |  | ) | const

void DBRep_DrawableShape::DisplayTriangulation | ( | const Standard_Boolean | D | ) |

When True the triangulations of the faces are displayed even if there is a surface.

Standard_Boolean DBRep_DrawableShape::DisplayTriangulation | ( |  | ) | const

void DBRep_DrawableShape::DrawOn | ( | Draw_Display & | dis | ) | const
| virtual

Implements Draw_Drawable3D.

Reimplemented in TestTopOpeDraw_DrawableSHA, and BOPTest_DrawableShape.

virtual void DBRep_DrawableShape::Dump | ( | Standard_OStream & | S | ) | const
| virtual

For variable dump.

Reimplemented from Draw_Drawable3D.

void DBRep_DrawableShape::GetDisplayHLR | ( | Standard_Boolean & | withHLR,
|  | Standard_Boolean & | withRg1,
|  | Standard_Boolean & | withRgN,
|  | Standard_Boolean & | withHid,
|  | Standard_Real & | ang
| ) |  | const

static void DBRep_DrawableShape::LastPick | ( | TopoDS_Shape & | S,
|  | Standard_Real & | u,
|  | Standard_Real & | v
| ) |  |
| static

Returns the subshape touched by the last pick. u,v are the parameters of the closest point.

Standard_Integer DBRep_DrawableShape::NbIsos | ( |  | ) | const

Returns the number of isoparametric curves in a shape.

void DBRep_DrawableShape::Set | ( | const TopoDS_Shape & | C | ) |

TopoDS_Shape DBRep_DrawableShape::Shape | ( |  | ) | const

Return const &.

virtual void DBRep_DrawableShape::Whatis | ( | Draw_Interpretor & | I | ) | const
| virtual

For variable whatis command.

Reimplemented from Draw_Drawable3D.

The documentation for this class was generated from the following file:

- DBRep_DrawableShape.hxx